Skip to content

Special Effects Template Creation Task

POST https://www.kkiai.com/tencent-vod/v1/template-effect

Official documentation: https://cloud.tencent.com/document/product/266/126240

Request Parameters

Authorization

Add the Authorization parameter in the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
scene_typestringRequiredValue: template_effect
promptstringOptional
file_infosobjectOptionalA list containing up to three material resource images used to describe the resource images the model should use when generating videos. Note: 1. Image size must not exceed 10M. 2. Supported image formats: jpeg, png.
  └ typestringOptionalInput video file type. Values include: File: VOD media file; Url: Accessible URL; Example value: File
  └ categorystringOptionalFile classification. Values are: Image: Image; Video: Video. Example value: Image
  └ file_idstringOptionalMedia file ID of the image file, which is the globally unique identifier of the file on VOD. It is assigned by the VOD backend after successful upload. This field can be obtained from the Video Upload Completion Event Notification or VOD Console. This parameter is valid when Type is File. Note: 1. It is recommended to use images smaller than 7M; 2. Image format values are: jpeg, jpg, png, webp. Example value: 3704211***509819
  └ urlstringOptionalAccessible file URL. This parameter is valid when Type is Url. Note: 1. It is recommended to use images smaller than 7M; 2. Image format values are: jpeg, jpg, png, webp. Example value: https://test.com/1.png
ext_infoobjectRequired
  └ AdditionalParametersobjectRequired

Request Example

json
{
    "scene_type": "template_effect",
    "prompt": "Video content\nAt the beginning of the video, the subject suddenly explodes, scattering into fine particles.\n# Requirements\n1. Determine the number of subjects based on the image uploaded by the user, and make sure each subject explodes.\n2. Set Motion Level to: Middle.\n3. Prioritize my video content as the main instruction. Keep the background description consistent and reasonable, and do not describe it twice.",
    "file_infos": [
        {
            "type": "Url",
            "category": "Image",
            "url": "https://image01.vidu.zone/vidu/example/20241206-175531.jpeg"
        }
    ],
    "ext_info": {
        "AdditionalParameters": {
            "template": "morphlab"
        }
    }
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/tencent-vod/v1/template-effect' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "scene_type": "template_effect",
    "prompt": "prompt": "Video content\nAt the beginning of the video, the subject suddenly explodes, scattering into fine particles.\n# Requirements\n1. Determine the number of subjects based on the image uploaded by the user, and make sure each subject explodes.\n2. Set Motion Level to: Middle.\n3. Prioritize my video content as the main instruction. Keep the background description consistent and reasonable, and do not describe it twice.",
    "file_infos": [
        {
            "type": "Url",
            "category": "Image",
            "url": "https://image01.vidu.zone/vidu/example/20241206-175531.jpeg"
        }
    ],
    "ext_info": {
        "AdditionalParameters": {
            "template": "morphlab"
        }
    }
}'

Response

🟢 200 Success

Response Example

json
{
    "Response": {
        "TaskId": "251007502-AigcImage***2782aff1e896673f1ft",
        "RequestId": "f50d7667-72d8-46bb-a7e3-0613588971b6"
    }
}